About the Program

The ProgDVB is universal and powerful tool for receive, watching and listening analog both digital a TV and broadcastings from any sources (satellite, cable and on-the-air TV, Internet etc), and also review of media files with transmission possibility all of this via various types of networks.

By means of ProgDVB you can watch HD telecast, do output the picture on several monitors (including on TV set), viewing by means of CI scrambled channels, record the yours liked programs, use YouTube and Internet TV, Radio. You can use one program for several types a TV and broadcastings irrespective of an amount of devices and type of received content (DVB-S, DVB-S2, DVB-C, DVB-T, ATSC, ISDB-T, IPTV).

Also in ProgDVB following functions are implemented:

- Picture in Picture (to eight channels simultaneously)

- support of the basic types of remote control and possibility of bind keys

- operation simultaneously with several cards

- record in all main formats, including *.ts

- support 3D television

- original videorenderer

- convenient scheduler, compatible with MS

- preview of all channels of the list (Mosaic)

- support a TV program guide with different extension

- multilingual interface

- adjustment of language preferences of audio streams and subtitles

- support х64 OS versions

- possibility of a choice and editing of the interface (Skin Editor)

- provision able transparent OSD with adaptation for a different ratio of broadcasting format

- equalizer

- automatic gain control

- Built-in PrintScreen

- adjusted Time shift buffer

- numeration, sorting and grouping of channels

- quick search of channels

- TV program guide and logos in the channel list

- parental controls

- possibility of a choice of a demultiplexer

- color correction of the picture with a profile choice

- choice of display ratio with cropping possibility

- automatic update of the program, channel bases, transponders

Official site of the program http:// www.progdvb.com/


Purchase and Registration

On page http:// www.progdvb.com/download_progdvb.html an official site you can acquire programs interesting you and the codecs necessary for watching. You also can download and use Free of charge earlier versions of the program, and as 7 day trial version with limiting functionality.

At first download and install the necessary program. After that, at its start there will be a window with the HID of your computer which was defined by program.

Then on the same page or on page http:// www.progdvb.com/order.html push Buy now opposite to a product. Follow the link, select and carry out a method of payment convenient for you.

After that you receive by mail CD code of the program (normally, within two hours).

Further, it is necessary to register the program in Activation server clicking on the link http://reg2.progdvb.com or from main page of a site of the program.

As a result, at you will have the activation code (key) which is necessary for program registration at start.

One license entitles to use the program on two computers. Therefore, two HID are specified on the register page. Thus there is no limitation on the number of programs on one computer. At computer upgrade, for example, the new video card, hard disk, OS, etc., HID is changed too. You must to change it instead of the outdated. For this purpose on page http://reg2.progdvb.com select point Update Activation Code. Be attentive, to change HID is possible once a day.

About other purchase forms of a product and in case of difficulties with acquisition and activation, it is possible to address on e-mail: prog@progdvb.com


Program Installation

After install start of the program there will be a window in which it will be offered to select the place of saving program settings (channel lists, interface sets, etc.), and whether will use the program one person only or more.

In the first case, possibility of usage of the program by different users of the computer with independent settings is admitted. In the second case, all users of the PC have access to identical settings of the program. At installation of the program with the activated third point, ProgDVB settings are saved in the same directory where the program has been located.

It is necessary to consider that in the course of work necessity of installation of several programs ProgDVB on one computer under one account name of OS can be demanded. In this case, in order to avoid a rewriting settings previous by newer files, it is recommended to select the third variant in this dialog box.

Then will be offered to you to select one or several sources of receiving of a TV signal in the following dialog box - Analog, Satellite, Cable etc.

You can select the device from the opening here dropdown list at once. If that misses, it is necessary to leave the device by default - a BDA compatible card or box (In many cases the second variant more preferably even if your device is in the list).

It is necessary to select preferable language and a view (Skin) of the interface, and also remote control type (RC, is more detailed) from a following dialog box.

Further, you can select usage method of the Time Shift, additional services and modules necessary for yours watching, together with trial version of codecs by Elecard.

All these setting can be changed during program usage.

After that you will need to enter only the activation code in the field key and to restart the program.

If you are installing the new version of the program, you can specify the directory with prior version. And your old settings will not be changed.


Quick Start

In the course of installation (more in detail) select the device or service with which help you will receive video or audio the information. If you assume to use for this purpose what either a card or box, you must select their in the list. Or BDA compatible card or box (more reliable method). All remaining settings can be left "by default".

If you use the program for deriving of TV picture from other sources (Internet TV, Radio, YouTube, ProgMediaClient, IPTVClient) it is necessary to mark it in a TV Sources (more in detail) dialog box. Under each of sources there is a Property button where it is can be tuned.

For Sat TV it is necessary to select the satellite, pushing button LNB.

For setting of watching with usage of the additional equipment (DiSEqC switches, a positioner and so on) or modules and services it is necessary move to Advanced setting by the appropriate button.

In more details to find out about adjustment of devices, modules and services it is possible here.

If your OS already contains necessary codecs (more in detail) and supports installed in the program renderers (see also) by default, you can start watching right now. The program contains the updated database of channels in the distribution kit. Therefore, after setting of the device (service) the list with accessible channels of the source selected by you appears automatically.


Menu Panel

File. Open file. Here you can open multimedia files for watching and listening in ProgDVD. And you can save them as files list (Save playlist) for a quick access further. The program plays *.mpeg, *.mpg, *.ts, *.wmv, *.avi, *.mp4, *.mkv, *.mp3, *.wav, *.pl3 and other.

Take snapshot allows to save the frame of display in the folder selected by you with *.bmp extension.

In Properties point there is an information on audio and video stream, about filters. Some filters (for example АС3, Cyberlink) have additional properties with the detail information and possibility of their regulation.

In Time Shift Status you can watch the buffer and cache filling and to synchronize record.

Exit - exit program.

Edit - in this section, occur actions with folders and channels in the list: New and Rename, Copy, Cut, Paste, Delete and Undelete, Move to, Sort etc. In Channel properties the full information about channel with possibility of editing its properties is presented. All these points also are accessible in the channel context menu (right mouse button click on the channel or a folder). Here it is possible to find out search and numbering of channels. After working with list you can Undo and Redo changes (it is possible just before next program start).

In View section you can change the interface by means of turn-on-off necessary panels: a Toolbar, Status bar, Channel list, Equalizer, Navigation panel, Quick line.

As here it is possible to switch between the Full screen or TV window and to check Stay on top and 3D (for 3D channels). These functions as are accessible from the context menu of Video panel (right mouse button click). In a Mosaic mode on Video panel the preview (single frames of all channels in the list opened by you) will be displayed.

At listening of radio stations function Visualization becomes accessible. Visualization works at the checked on Audio Processor.

In point Navigation is given control possibility by a playing files: Play, Pause, Stop, First, Previous, Next, Last. These elements are present also on the Navigation panel in a graphic view.

Channel list. Channel search. Select the device or service by means of which you will do scanning. For DVB-S card it is necessary to select the satellite. After scanning there will be a list of the found channels. The lost channels are channels which are present at the list (after previous scanning or database channels. In the program there is permanently updating Channel database, therefore lists appear, as soon as you select the device and the provider or the satellite. And it is possible to watch these channels even without scanning.), but have not been found at scanning. You can delete the lost channels from the list, checking them separately, or pushing the button «Select all». The lost channels could appear for various reasons: wrong setting of the equipment, stopping of the transmission by the provider, weather conditions etc. About channel lists more.

Also it is possible to set scanning on all devices and services. Channel list–> Channel search –> All.

If you know, in what channel you need and from what transponder is broadcasting you can select Scan transponder. In the appeared dialog box you must select the satellite and the transponder. If it is not present in a database, you can enter manually its parameters then to push to Lock and Scan for start scanning. After pushing button "ОК", channels will be added in the common list.

Besides there is a Blind search, where it is possible to set a range, interesting frequencies, rate etc. It is convenient, if you do not know all parameters of the channel interesting you and can set at once some values of one parameter.

As in the List of channels you can choose to show-hide additional lists: the Recorded files, Most popular channels, YouTube and to create New, to Delete existing and to look and edit its Properties.

Here it is possible to look at Channel base statistics and Remove channel from base.

Services. Here you can control record and as to turn on–off the Teletext and Subtitles (if they are accessible in this channel their buttons are activated on a toolbar and icons in OSD are displayed), to call TV Program guide and the Scheduler.

Internet Gate Server, PID Recorder and Prog Media Server (Home). These points become accessible at their checking-on in Settings –> Options -> Modules. In more details.

Plug-ins. Here the installed by you plug-ins are displayed. Should be aware that ProgDVBх64 needs х64 plug-ins.

Debug. This point appears at program start in a debug mode.

At program issues you can add in properties of a shortcut: a Space/debug after …. \ProgDvbNet.exe. And when program is crashed in a root folder of the program the report on an error will be generated.

In Help section you can follow the link to the program home page, check up available updates or register the program.


Toolbar

On the Toolbar, duplicated most often used functions from the Menu panel: Open file, Previous channel, Next channel, transfer to Full and TV Window mode, PIP *, Find channel, Record, Scheduler, Subtitles, EPG, the Teletext, ЗD *, Options, Mozaic*.

Besides, buttons the Previous channel and the Next channel are divided on two parts. And you can, pushing them, to cause the list of all channels already selected before for fast passage. At positioner connection on the panel activates a Positioner button.

* - only in Pro version


Video Panel

The panel where directly is a displaying of media content. From the context menu (the right click mouse) you can go to TV Window or Full screen mode. It can be done double clicking on the panel or pushing a mouse wheel also. Then it is possible to choose Audio (if the provider broadcasts their several), Automatic gain control (needs Audio Processor), to turn on the Subtitles and Visualization (for radio channels), to apply Zoom for a picture and to set a priority "Stay on top".

And, you can select an Aspect Ratio of a receiving picture from the context menu according to your monitor.

In the Full screen and the TV Window mode the Toolbar, Channel list and the Navigation panel are accessible. For this purpose it is enough to move the mouse cursor to extreme right, left, bottom or top position.

In the program you can watch together some channels on one screen (PIP *). For this purpose it is necessary to select the additional channel with pushed ALT key, or selecting an appropriate icon on a Toolbar.

The window in PIP mode can be two views. For this purpose click the right mouse button for space and select Icon or Table.

The program supports simultaneous watching up to 8 channels (If in PIP mode is not present the sound on any channels it is necessary to involve audio renderer Default DirectSoundDevice). PIP mode is more exacting to computer resources.

Besides, the program can work at the same time with two devices. In this case also it is possible to watch or record the receiving signal in PIP mode.

At pushing the button the Mosaic ** on a toolbar, on Video panel the preview of all channels of the list, the transmissions going at present are displayed. Depending on productivity of your equipment you can mount the quantity of pictures for simultaneous plotting here.

* - only in Pro versions

** - required VMR-9 Renderless or EVR Custom Presenter


Channel Lists

On the right or at the left of the screen there is a panel with Channel lists. Between the list panel and video panel is a Splitter, directing the cursor on which, you can change width of the panel. Some lists of channels appear right after installations (Recorded, YouTube). Others, are added after a choice by you of devices and services and after a channel search.

Lists are organized like tree structure (same in Windows) – Lists -> Folders Group by…( if you use it) -> Channels (files). For move from level to level in the OSD use panel button Left arrow – Right arrow. In each of these levels, you can create your own additional folders and subfolders.

Create the list you can from the Menu panel -> a Channel list-> New, or from the context menu (right click mouse button).

In the same place, in Properties of the channel list you can tune its parameters: the Name, the Style, Sorting and Grouping and, also to select display of channels and lists necessary for you. In the Channel list are displayed: the Channel number, an EPG, Channel type, the Caption and the Logo. You can to set as a list Compact style (displays only the type and title of the channel).

To set numbering it is possible as manually (in channel properties), and automatically ( Menu panel -> Edit -> Renumber).

Also in the list operations with relocation, copying and an insertion (paste) of channels and folders both in one list, and between lists are accessible. For example, for relocation it is enough to push and, retaining, to move the channel under the list.

If you want to Undo and Redo change which have been made in the list press Ctrl+Z or Ctrl+Y (it is possible just before next program start).

Order to after scanning the earlier remote channels by you, were not added again in the list, in the program there is "recycling bin" where they are. For display them click on Undelete (list context menu). Sometimes, channels found at scanning are not added in the list. In this case, is mandatory check up, whether they have been earlier remote. As, it can happen, if the title of the channel has been changed by the provider, and the channel with same SID already exists in the list. Then simply push on Update in properties of the "old" channel.

Operations with channels are accessible from the Menu panel -> Edit, or from the context menu.

In the Channel properties it is possible to look and edit channel settings.

At not clear problems with lists you can delete ALL files from folder “Channels” and to scan anew.


Equalizer

At usage of Audio Processor of the program (Settings -> Options -> Audio) it becomes accessible 10-band Equalizer. This panel turn on-off in the Menu Panel –> View, and also by button in the Navigation Panel.

Quick Line

Above the list of channels there is a Quick Line. You can use it for a quickly find the channel in the list, inscribing there its caption, number or URL for Internet TV and Radio. When You Tube list is used, it is possible to search a clip title by keyword. List You Tube for convenience is divided into directories: Top Favorites, Most Viewed, Most Recent, Top Rated, Most Linked. To get there, it is necessary to click on the appropriate string of the list.

You as can cause a single search of channels in the list dialog box by combination of buttons Ctrl+F.

Navigation Panel

From the Navigation bar you can watch and to control a playing content, quickly jump to the Time Shift Buffer Status and Equalizer. Besides, the Clock is located there.

Audio Panel

Here there is a Volume Control and Mute button. Besides there are a quick access to a choice of the Audio stream and possibility of on-off of Automatic Gain Control.

Status Bar

In the bottom of the screen there is a Status bar. In it are displayed the type and a channels caption, level and quality of a signal, bit rate of Internet connection, a title of current transmission or a file and other information.


Main

On MAIN page of options select an Interface mode: Advanced (all options are accessible) or Simple (the basic options. If you only began acquaintance with ProgDVB can select this).

When you selecting a stability mode (demands the more resources of the РС) the interface and a process engine more reliably works.

The demultiplexer ( wiki ) is responsible for convergence of video and audio streams, for their synchronization. At present considered the best is demux from Microsoft.

Interface

In the INTERFACE section you can adjust a program general view- to select a skin, to choose interface language (Russian, English, German, French, Hungarian, Italian, Portuguese, Chinese, Spanish, Arabian).

Additional skins you can download from ProgDVB site.

On the same page are choosing the type of remote control and assignment of buttons. In more details about it look here .


RC, Controls

In the program are used some types of remote control for its management. The majority of RC panels can work in the program immediately after installation without additional type selection on page Settings -> Options -> Interface -> Remote Control module.

You can try to select Universal HID Remote Control (emulation of keys pushing of the keyboard) or Winlirc client (it is necessary to install and set Winlirc server) also. Besides, some RC panels are accompanied by the mahufacture modules. For work with them you must to place RC module into RemoteControl folder and then choose the appropriate it from Options.

In the properties of the Universal HID Remote Control you can choose Presets list (already formed button settings for some panels of various vendors of Microsoft, AzureWave, Technisat). Only in foreground option serves for avoidance of conflicts by simultaneous operation of the keypad and the panel in the other applications.

In Winlirc client options tunings are produced for work with Winlirc server and time delays of pushing on buttons are sets.

Irrespective of RC type you can assign or reassign commands of buttons. For this purpose it is necessary to enter into Bind Keys on a page Interface.

Further select Event and push Edit. In the appeared window, opposite to the Keyboard key, Remote control key or a Mouse extended key click on Learn and push the key or the button necessary to you. For the extension of possibilities of control the mouse in addition provides usage Shift, Alt, Control. Moreover, here are set of typical commands for the mouse.

Keyboard keys by default:

M – sound, on/off

R – record, on/off

X – exit

A – change audio stream

P – PIP

Z – zoom, + / –

Add – zoom, +

Subtract – zoom, –

V – ratio

B – letter box (cut out)

S – Subtitles

D – 3D/2D

F7 – Swap left/right frame

F – full screen

W – TV window

Esc – normal window

I – channel info, OSD

T – teletext

E – program guide

L – channel list

O – main OSD dialog

C – OSD cancel

Return – ОК

Up – up

Down – down

Left – left

Right – right


OSD

OSD - the interactive menu for display various information to the screen: a number of the channel, parameters of the video, the timer etc. What exactly must be shown you can select on this tab.

Here you can set a view of Subtitles (a font, color, the size)

and Select Skin OSD. You can change veiw time or turn off OSD. In the corresponding dialog box it is possible to uncheck some panels OSD which are not necessary to you for speed up performance of the program. Not included in the distribution kit, skins it is possible to download from a site.

OSD are two types: normal and with Using GUI (Graphical User Interface). Normal OSD can be displayed only within the frame of received video and depends on transmittable picture. Therefore it can be two types: SD (720x576) and HD (1920x1080). In the dialog box the choice possibility is given, in which image to display OSD depending on picture change.

At usage GUI, the size OSD does not depend on a received picture and remains invariable. Please note that usage GUI demands more resources PC.

You can edit existing skin or to create the new in Skineditor.


Codecs

In COLOR settings there are image adjustments: luminance, contrast, saturation, hue. Besides you can select a Color profile * from installed on the computer.

Color profile can be useful to whom who have monitor with color range very differs from sRGB (often at Notebook and Wide Gamut RGB monitors).

In ProgDVB usage of following renderers are possible:

Video Renderer (Overlay mixer) - a renderer for Windows 9x (perhaps not work with modern video cards);

VMR 7 (Requires Windows XP) - the renderer which came in Windows XP;

VMR 9 (Requires DirectX 9) - a renderer which is part DirectX 9;

VMR 9 Renderless - renderer VMR 9 with additional possibilities (color profile, SuperZoom, 3D TV etc.)

Enhanced Video Renderer (EVR) – the renderer which came in Windows Vista and Windows 7 (today it is the best renderer for performance and quality)

EVR Custom Presenter – EVR with additional possibilities (color profile, SuperZoom, 3D TV etc.) This renderer is recommended to be used on the hardware with sufficient margin of performance.

According to your OS and hardware possibilities, select a suitable renderer.

For decoding received signal and postprocessing by renderer, it is necessary to select CODECS . In the program there are no built in codecs and it uses the codecs installed in system (For installation of codecs it is possible to use small free programs, for example, RadLight Filter Manager.).

For TV it is enough to install MPEG-2 and H.264/AVC (for S2 transponders and HD content**) codecs. For playback YouTube clips it is required H.263 (the codec adapted to slow Internet connection. For example Gretech Video Filter) often. Moreover, it is useful install new version of Windows Media Player in which there are many free built-in codec.

Not all defined by the program of video codecs can really decode the declared formats, therefore, if there is no picture, try to re-choose the codec.

Most known and well proved video codecs are Microsoft DTV-DVD Video Decoder ***, Cyberlink, CoreAVC, Elecard , Intervideo, ffdshow, ATI MPEG Video Decoder, etc. If in your system there were not codecs you can begin with free divx h264.

Many codecs have additional tunings, for access to them go - Menu panel -> File -> Properties -> Video decoder -> Properties.

To cope with hard CPU usage on HD channels it is recommended to use the video

card with 512Мb RAM and support of the shaders 2.0 and higher.

Considerable importance in the video processing of the stream has the DXVA - decoding, mostly, by GPU (video card). For this purpose are necessary the Windows XP (or higher) and the video card with support of hardware acceleration.

In Windows XP DXVA (only 1.0) works with Video Renderer and VMR 9-VMR 9 Renderless. In Windows Vista and Windows 7 came DXVA 2.0, which works with EVR - EVR Custom Presenter.

Besides, codecs should support hardware acceleration (DXVA). Most known of them - Cyberlink and Microsoft DTV-DVD Video Decoder. At usage of the first to turn on DXVA it is possible in the File -> Properties -> Video decoder -> Properties->. The second - by default uses DXVA if the video card supports it.

Codecs which are not supporting DXVA (for example ffdshow), ie, processing a stream by software, usually, concede to them.

Anyhow, choice of codecs and renderers substantially depends on each individual configuration of the hardware and personal preferences. After a choice of codecs suiting you, it is recommended to delete from OS others for stability and high-speed performance of the program.

* - renderer VMR 9 Renderless or EVR Custom Presenter is required

** - only for Pro versions

*** - in operating systems Windows Vista Home a Premium, Windows Vista Ultimate, Windows 7 Home the Premium, Windows 7 Business, Windows 7 Enterprise, Windows 7 Ultimate is built in good enough codec of Microsoft DTV-DVD Video Decoder and the additional codec it is not required.


Geometrical

In GEOMETRICAL section of the Options sets are produced for a display and picture transfer configuration at usage of several displays.

Border. At playback of some shows and films (especially old) on margin of the image there is a lot of "garbage". You can leave this part outside the frame. For this purpose enter any value, 2,5 % are usually enough for normal (by default). At watching of a qualitative content value of the Border it is possible to mount 0 %.

From the Display ratio drop down list select proportions of the screen. It is necessary, if you use the Letter box. If is not so, it is possible to leave Undefined (by default).

Now the TV broadcasting is in different formats - 16:9, 4:3. Besides, in the transmittable channel 4:3 there can be a picture with 16:9 proportions. As well the display can be widescreen or a 4:3 ratio. Thus, at watching, on each side images remain black bands. For some minimize loss of a useful area of the screen, you can use the Letter box.

If you use the display 4:3, select to cut off for 4:3 display. Then during watching 16:9 ratio show, black strips on top and bottom will be cut off, and the image part on the right and at the left remains out the frame.

If you use the display 16:9 (16:10), select to cut off for 16:9 (16:10) display. Then during watching 4:3 ratio show, black strips on the right and at the left will be cut off, and the image part on top and from below remains out the frame.

Irrespective of display you can choose cropping Super Zoom*. In the issue the image wholly will be on the screen without black strips. It is achieved by picture pulling to screen boundaries. Therefore the distortion is present, the more close to edge, the more strongly.

* - it is required VMR-9 Renderless or EVR Custom Presenter

At usage Multiple Displays, for example, several monitors or monitor and TV set, you can organize watching both on one of them, and on both.

For this purpose it is necessary, that all displays were defined by operating system in Display settings. After that select Extended Desktop mode and go to Settings -> Options-> Video-> Geometrical.

Here the display which will be Main screen for full screen watching will automatically be defined. For example, DISPLAY2, it is mean display at number 2 in OS.

If you check the Picture only on main display, the image will be output only on the second display, for example, to TV set. In the issue on the computer monitor will be possible to do something during the same time.

If you check the Clone, the image from the first display will be dublicated on the second one. It is convenient, for example, at the organization of simultaneous watching in different locations or rooms.


3D

By means of ProgDVB you can watch television show and records in a 3D*format. For this purpose you need the additionally anaglyph stereo glasses or stereovision system NVIDIA 3D Vision Kit .

Before watching be convinced that the channel shows in 3D and in its properties there is an appropriate mark.

At the same time the 3D icon on a toolbar is activated. 3D video is expanded a HD format, thus for its watching is necessary installed H.264 codec.

On 3D dialog box of Options (Video section) you must choose a Viewing method.

Source – the picture is displayed «as is», the screen is divided into two half in vertical direction.

Left image only - displayed only left (main) image. Thus it is possible to look the channel as normal HD channel.

Anaglyph – watching 3D by means of glasses with color filters. Here choose anaglyph type: Color, Half Color, Optimized, Gray or True. The choice depends on a viewed material, individual characteristics of the filters, singularities of sight, etc. Therefore try to sort out them for achieving of the maximum 3D effect.

Select appropriate Glasses – Red-Cyan (Cyan-Red), Yellow-Blue (Blue-Yellow), Green-Magenta (Magenta-Green).

At anaglyph method of watching the color rendition of a picture is slightly worse, as one eye does not see red color, and the second blue. Besides, after watching the discomfort of sight is there.

NVIDIA 3D Vision – viewing 3D by NVIDIA shutter glasses. Except it the monitor with 120Hz frequency with support 3D Vision and compatible GeForce video card is necessary. Besides the relative dearness of such variant of watching, in the shortcomings should be include a small amount of displays with such frequency and uncertainty on introduction of the uniform standard 3D in the remote prospect.

Swap Left/Right frames - checking this box, if needed, you can reverse the right and left frame.

* - only in Pro versions. It is required VMR-9 Renderless or EVR Custom Presenter


Audio

In AUDIO settings it is possible to turn on Automatic Gain Control (level alignment of the volume on channels with loud and a low sound). This option is accessible at Audio Processor Usage. Moreover, the Audio Processor is necessary for the Equalizer, Visualization of radio channels, channels with a mono sound (1ch).

In this dialog box you can check Mute on Minimize option for disable sound at the minimized window.

AUDIO-CODECS. Here it is necessary to select a sound processor (Audio Renderer) and the Codecs for decoding of a sound stream. Which renderer to prefer, depends on implementation of your sound driver. You should be convinced of the correct choice to default device and its right setting in the OS.

In the program there are no built-in codecs and it uses the codecs installed in system.

For TV (DVB/IPTV/ATSC/ISDB-T) it is enough to install MPEG * and AC3 codec (for a multichannel sound), for example AC3Filter, ffdshow, etc.

For YouTube and Internet TV usually sufficient to install newest version of the Windows Media Player.

Most known and well proved codecs – Cyberlink, Intervideo, AC3Filter, ffdshow. Many codec have the additional settings, for access to them go - Menu panel -> File -> Properties-> Audio decoder-> Properties.

You must keep in mind, what not all decoders defined in the program can really work with the formats declared by them. To learn it is possible only by experience.

* in operating systems Windows Vista Home a Premium, Windows Vista Ultimate, Windows 7 Home the Premium, Windows 7 Business, Windows 7 Enterprise, Windows 7 Ultimate is built in good enough codec of Microsoft DTV-DVD Audio Decoder and the additional codec it is not required.


Scheduler

On the tab SCHEDULER page its additional settings are presented. More here .

Not all TV program begin and come to an end precisely in due time. Not to spoil record, you can specify the time in point Additional time for record before and after program. At a time when the program is not working during scheduled record you can carry out it by methods specified in point If ProgDVB is not started when record is planned. ProgDVB can record even without start of the program interface.

At access to the computer of several users, you can add the Password on these settings.

Sleep timer. When this option is on it is possible to select actions necessary for you upon end of record. For this purpose select a Command: the Exit (from ProgDVB), Stand By, Hibernate, Turn off Computer and some time necessary for you.


Record

On page RECORD specify the Path where it will be saved and if it is necessary, Path2 – in case the first drive will be full.

Select the Record format: *.ts, *.mpg, *.wmv, *.mpa, *.ac3, *.aac.

*.ts format is less exacting to computer performance. It is also the best for quality of video file. A flaw - larger size of a resulting file in comparison with other formats.

Addition settings.

Using Time Shift – in an asynchronous mode. At usage Time Shift you can interrupt watching, click on a Pause. Thus record does not stop.

All audio streams * - at record in a *.ts format, it is possible to record all audio track (for example, in different languages; or sound АС3 and MPEG2).

Record Subtitles – if at stream there are subtitles and they are necessary for you for the subsequent watching it is possible to record them too. If they are not necessary to you, it is possible to uncheck this option for file size decrease.

Discard file shorter than – enter some seconds, less which record would not happen. For example, at accidental press on a key or the panel button.

Split file by size – if you expect to locate record in the storage by particular capacity, enter the necessary size (only for *.ts and mpeg2).

Split file by time – set duration in minutes if you want to organize the subsequent watching in same limitation of the time (only for *.ts and mpeg2).

To turn on Recording it is possible pushing the appropriate toolbar button or a key R (by default) or from the panel. As well you can be recording timed by means of the Scheduler or check the necessary program for record from a EPG window.

Remember that in file system FAT-32 the file cannot be more 4Гб.

* - only in Pro versions

Time Shift Buffer

Time Shift Buffer. If you use Time Shift then, at channel start, record in a background mode begins.

In the issue, at any moment you can pause watching, pushing the Pause button on Navigation bar and then to restart watching from the same place (also it is possible to make from Menu panel ->Navigation) – the program addresses to a buffer file. In the course of TV watching you also can wind off back record by means of a slider.

For convenience of TS usage in a navigation bar on a scale with a slider the EPG is displayed. When you move cursor above a segment of the program, the pop-up window with its description appears. At pushing a pause button time is stopped on the clocks as in the navigation bars and Time Shift OSD and, then, is launched at resumption

Time Shift buffer can be both in memory and on a hard disk (by default a folder \ts\timeshift.dat). It is necessary to remember that for the large buffer the free space both on HDD and in memory should suffice. If TS become unstable, disk defragmentation are recommended for absence of the breaks. Besides, at file system х32 bit and using ProgDVBx32 the memory file cannot be more 500-600MB. Usage Time Shift assumes a little big CPU usage (in a greater degree in х32 OS).

Be makes certain of buffer was not overflowed. After settings was made according to periodicity and amount use and hardware, you can always learn about its filling in the Menu panel-> File-> Time Shift Status.

At switching of the channel the Time Shift buffer resets.


Languages

Often in an incoming stream there are few audio tracks, subtitles. The program automatically sets language according to your priorities. For this purpose select languages from dropdown lists on a LANGUAGES page.

Parent Control

In the PARENT CONTROL bookmark you can set the password for limiting of channels review. Select a rating, set and confirm the password.

After that in Channel properties it is necessary to mark like Adult cannel.

Now after channel turn-on there will be a window where it is necessary to enter the password for access to this channel.


Modules

INTERNET GATE SERVER. By means it you can send the video from one computer to another using the Internet. For this purpose you must check Internet Gate Server service or to turn on it during installation or choose in Settings –> Options -> Modules (For the computer from which there will be a transmission). Further it is necessary to create Login and the Password on ProgDVB internet gate Main tab.

After that on Encoding tab select image transfer parameters: Video and Audio codec, Bitrate, Quality and Picture size.

If it is necessary, you can transmit the video which is differ from the incoming. For this purpose check Enable Resize and specify other sizes. On Statistic tab you can see the quality of internet connection.

Then turn on in Settings –> TV Sources -> Advanced –> Internet Gate Client (for the computer configured for receive). In its Properties you must to enter Login and the Password assigned earlier for Internet Gate Server. If it is necessary, make settings for Proxy.

Further click ОК and launch scanning – Menu panel -> Channel list -> Channel search -> Internet Gate Client.

On Client computer will show the same channel which goes at present on Server.

PID RECORDER. In digital stream the information is transmitted in the packet form. This or that packet refers what channel is defined by PID (the packet identifier). By means of PID Recorder you can record both single and all packets of the transponder in a *.ts format.

Open the Menu panel–> Services–> PIDRecorder. In the appeared window there are record options.

All transport stream - record of all packets of the current transponder.

Transport stream (selected pids) - a choice of single packets of a stream. Push Get channel pids and select necessary PID from defined in pids to record.

Skip encrypted packets - the pass of encoded packets.

File name and Directory - a title and a path of the recorded file.

After pushing on Start display of the Size and Time of the file begins. For the end of the record click on Stop.

PROG MEDIA SERVER (HOME). By means of this module you can send via home network the picture to Prog Media client. For its setting select Prog Media Server (Home) and push the Properties button. On the first tab select Server mode:

Current channel – the current channel is send from server. Thus the channel switch at the Client and server is going simultaneously;

Shoutcast – some channels are transmitted simultaneously in Shoutcast mode;

Windows media streaming – some channels are transmitted simultaneously in Windows media mode;

All transport stream – whole transponders stream in a *.ts format is transmitted;

Format is the page for choice of sending.

Depending on selected Server mode on the previous page, different formats and their settings will be accessible.

In the Network dialog box make the corresponding settings your networks settings.

Statistic. Statistical data – the traffic, errors, processor and network usage are displayed here.

About Prog Media Server in more details.

Other

.

Disable screen saver. A monitor screensaver turn off.

Refresh channel on lost signal. Updates the data from the transponder about their change by the provider.

Enable CAM interface. If you do not use it (for example for IR transmitter) it is recommended to uncheck this option for more stability.

Priority. Set this depending on performance of your system - than it more the higher priority can be involved.

Always parse Teletext and EPG. If these functions are not necessary to you, their turn-off increases speed of the program performance.

Waiting time for positioned, ms/degree. Select individually for specific hardware.

Channels at onse for Mosaic. At using of a Mosaic mode the program loads on display some images simultaneously. The more of them leads to more usage of the CPU.

Startup. Individual preferences.

Scanner. Here update of channels at scanning is tuned. If you have problems with scanning it is possible to handle the time Delay after setting transponder for hardware. Try to increase it with step 10-20 ms.


Auto Update

If for any reasons you do not accept the information on a program guide or its absence on some channels you can load it independently.

Program guide can be zip, gzip, xml format. For this purpose it is necessary to enter at line 1: (2:, 3:) the link for file downloading (needs the Internet connection) or a path to a local file. At usage Proxy set up its parameters and if it is necessary, authenticate, pushing the appropriate button. Further click on the Update button.

The Channels button. In this window correspondence of channel captions in a program guide and ProgDVB database is checked.

It can not correspond for various reasons - for example if you renamed the channel or its title slightly different at other provider etc. If titles coincide, near to it there will be a green icon. If the icon is red it is necessary to push the line with a ProgDVB title and select the same channel.

If your time zone does not coincide with guide zone you can set up time of the beginning of programs, setting this time shift click on Time offset. For program guide deleting you must delete a epg.dat from ProgDVB folder.

Moreover, in this dialog window you can Automatically to update transponders list and other information and to check, would you like to receive information about new ProgDVB versions.


TV Sources

Menu panel ->Settings ->TV Sources - a place, whence begins program adjustment. First of all it is necessary to select, what type of television you interests. If you still dont it during program installation, now to make it is possible here. Because to the majority of users, usually, enough one source of TV, it this dialog box looks in a Simple variation (by default). If in the process of installation you selected some sources, added, for example, Internet Gate Client you get straightway to Advanced settings. You can also from Simple view go back to Advanced, pushing button Advanced, later. In the advance settings the additional equipment are installing too: LNB, the Switch (DiSEqC), the Positioner.

SIMPLE settings. Here red color marks devices and services, which to you are needs to setup.

Add LNB – converter and satellite setup. Select type of your converter - KU of the linear (Universal) polarization, KU circle polarization, a C and C Bandstacked.

According to a choice of this, the converter parameters change automatically. If you do not need a Power to converter uncheck it (for example, in case of installation of individual power supply unit for converters).

Further, select the satellite from the drop down list. Many satellites are side by side (for example, 39о and 40оЕ) and probably to receive a signal from them on one converter. In this case push the button More than one position and mark at once some satellites.

Click OK. In this case there will be such view

In Properties of the device settings of your card are produced ( more in detail ).

In Properties Internet TV, Radio, YouTube set the Cache buffer (by default 1мs); the Maximum Bandwidth if it is necessary to restrict it (at value 0 – automatically); Proxy if you use it.

In Properties of IPTV Client ( the television received from your local provider via high speed Internet protocol) is necessary to produce setting according to recommendations of your provider.

After that you can specify the channel list corresponding to your; to select from existing URL database or to enter URL of the you provider list in the necessary coding or to specify a file path on a hard disk. As it is possible Update immediately it or to edit, pushing button Editor. In subsection the Status are displayed the Traffic and Internet connection Speed. After that scan channels -> Menu panel -> Channel list -> Channel search -> IPTV client.

In Properties of the Prog Media Client settings are produced for image receiving via local network from other computer in house conditions (for example, from other room). Naturally, should be for this purpose switched on and tuned Prog Media Server (Home) on the main computer.

Specify the Protocol, Properties of a network (should coincide with the server), the Format, and as Passwords for network. Then scan channels -> Menu panel -> Channel list -> Channel search-> Prog Media client. On Client side will be shown the channel witch was selected depending on Server choice.

ADVANCED settings.

If you use some converters connected through DiSEqC select your device and push Add Switch. Select its type (the amount of ports does not mean converter type):

Tone Burst (2 ports) – the switch with two inputs, working on protocol 1.0;

22Khz switch (2 ports) – the switch without the microcontroller. At its usage in the cascade with other switches it should be allocated last, before of the converter;

DiSEqC 1.0 (4 ports) – the four-port switch working on protocol 1.0;

DiSEqC 1.1 (16 ports) – the switch with double command repetition at a hardware work. Connection to 64 converters (with cascade 1.0 switches) is possible.

It is necessary to consider that your device should support operation with the protocols selected by you and with cascade of switches (if you use it). Besides, on the market there is a large quantity of the switches which are not corresponding to declared characteristics and, simply, poor quality. Therefore, if you had problems with a signal, first of all, check up its presence, connecting the converter directly, without the switch.

Further, select switch port and assign for everyone the satellite (Add LNB) and Type of the converter. These actions are produced the same as has already been described in Simple settings. As a result at you can (depending on a configuration) to look so:

or so

Positioner. At work with a positioner it is not required additional plug-ins. Your card should support operation with a positioner (on DiSEqC 1.2 protocol) and as to have the driver with its support according to your OS.

Connect a positioner to a card and be convinced that it has a sufficient arrived voltage. Set it in zero position.

Select your card and click Add Positioner. Come into Properties of a positioner and select the satellite and the transponder at your desire.

By means of buttons the Step East and the Step West turn a dish while the signal does not become maximum. You can as to use Autotuning for search of a maximum of a signal in Level and Quality. For this purpose push Start. Assign to the satellite a Position (for example 1) and push Save. Push button Positions, further, More than one position both check this satellite and write nearby its number of a position.

(It can be done later: Quit Properties of a positioner and push Add LNB. Select More than one position. Check the satellites necessary to you and put down numbers of positions which you it assigned earlier, near to them. Push OK 3 times.)

Pushing on ОК, you return to a dialog box of positioner properties. Choose the next satellite interesting you and repeat tuning. In specific terrain, of course, not all satellites will be accessible to receiving. Therefore, you can set the Limits for needless satellites. For this purpose click on the East for the extreme left satellite and on the West for right one (the right or the left side depends on that, to the south or to the north of the satellite you are). At this setting is finished.

If your card supports USALS (DiSEqC 1.3 protocol) it is enough to you to specify a position only for one satellite. Then, in Properties of a positioner, click on USALS and enter your geographical latitude and a longitude. These coordinates, to within the house, you can easily find out, for example, by means of Google Maps.

If you do not use USALS, make sure that in its settings it has not been checked (by default).

At connection of devices (or a combination of several, for example, the switch and a positioner) their display in a tree between a card and LNB should correspond to the same order in what they are connected "physically".

Besides, the more at you switches in the cascade, the more repeat amount of command sendings are needs to be set in device settings (as it results to time increase at channel switching).

In Advanced settings you also can check-off modules Internet Gate Client ( more in detail ) and TS Reader.

By means of TS Reader you can watch all components of a transport stream, a file *.ts. It can be recorded by PID Recorder module for example. For this purpose go to TS Reader Properties and select the recorded file.

Then come into a Channel list ->Channel search ->TS Reader. After scanning there will be a new channel list with TS Reader title.


Device Options

In TV Sources (more in detail) the mounted devices for watching, and services and modules are: Internet ТV, Radio, YouTube, ProgMediaClient, IPTV Client, Internet Gate Client, TS Reader. Marked in green what are involved at present. Below are out-of-operation modules. You at any moment can Enable or Disable their appropriate buttons. During installation, program the automatically finds yours devices and suggests to select services necessary for you and to tune the defined equipment. At pushing "Properties" there is a settings dialog box of this device or service.

This dialogue also can bring up from Settings -> Device options.

For example, at setting DVB-S card you can select in this window How many time to repeat DiSEqC command. If at you does not work a switch (for example, the command does not reach the switch mounted in a cascade) try to increase an amount of repetitions. Likewise, you can pick up the Delay between DiSEqC commands.

If you have a conflict between two cards (often, if they of one vendor) check point Not start more one device at one.

The large increase of speed and performance of the program gives unchecking of a mark point Use ITunerRequest and Use Demultiplexor and TIF (if yours card it can).

By check Symbol Rate in kilo-symbols you can choose units for number of symbol changes per second.

At usage of the Conditional Access Module, in this item your device with the information about CI and CAM, and also the module settings, necessary for watching, will be defined.

In Options section all general settings for operation with the program are produce ( more in detail ).


EPG, Scheduler

For getting in to Scheduler and EPG you can go from the Menu panel -> Services, Toolbar or EPG (Scheduler) window.

By the Add button you select Recording (with a choice of the channel, periodicity and a file name. And in this place there are time of the beginning-ending of record and action after its completion.), a Reminder (Start and changing on the selected channel with assigned time and date) and a Command (Program and computer control on time and date).

Other buttons serve for operation with already compiled tasks of the scheduler. Additional settings of the Scheduler are in Options.

For adding of Recording, a Reminder and the Command it is necessary for you to know a title of the channel and program, time of its beginning and the end. More simple method of this is adding of tasks from an EPG. To go there from the Scheduler, click on the EPG button.

The EPG (electronic program guide) can be two types - a Grid View and a List View (Appropriate buttons). Both views are equally functional and you can select them according to the preferences. + in a mode a Grid View the display scale for convenience of use on monitors with different resolution is added. When you move cursor above a program, the pop-up window with its description appears.

In the EPG window you can independently upload a program guide through Import ready JTV and XmlTV files and do the Export (for print, maybe) its.

In the context menu of the guide (the right mouse click) it is possible to mark at once program for record and reminder or to switch the channel, without quitting an EPG. Thus all programs marked by you automatically will be added in the list of the Scheduler. It can be made also, pushing the button Recording, or to pass in the Scheduler. Time Offset serves for adjustment of time of channel broadcasts if your local time does not coincide in due course the channel.


Skin Editor

For creation the OSD or interface skin in the program there is a SkinEditor. In the top right corner of the SkinEditor displays the skin structure, in lower – changeable characteristics of its components. The skin consists of layers-panels. Everyone has the own size and location concerning other layers and coordinates concerning the general skins size. The size can be changed as by introduction of numerical value, and simply pulling for small squares on edge of the selected panel.

For acquaintance with a SkinEditor it is recommended to begin with OSD skin.

You can download the not included in the distribution kit skins from the site of the program.

One more convenient possibility of influence on the interface is introduction of channels logos into the OSD and interface (EPG in the list). For this purpose it is enough to you to place the logo bitmap image (*.bmp, *.jpeg, *.tiff, *.png, etc., the size about 100х100 points) in a ChLogos folder. And the picture title should correspond to a channel title completely.


Layout of Folders and Files

When installing the program given the choice of placing folders to programs on your computer(installation) Consider the folders and program files which can interest the user.

Channels folder. Here there are your lists of channels. All lists –Channels.ini (viewable with any text editor). For example, CL-b5460e09-2b0a-4269-92d0-d74981b25722. To find out which file is responsible for this list – C hannel list -> Properties-> File name. If you installed the new version in other directory or reinstall OS etc., just put previously saved files from prior version of the program in this folder. After that, you do not need to scan and edit your lists once again.

In ChLogos folder there is a database of images of channel logos. You can add the logo. For this purpose it is necessary to name a picture (*.gif, *.jpg, *.png, *.bmp and other image) according to a channel title. Resolution suffices for normal display of a logo - 100х100 points. For logo usage on all channels with an identical title it is recommended to add after a channel title «_ ^», for example, MTV ^.gif.

In Filters folder there are is conditional-accessible codecs and the demultiplexer by Elecard.

In Modules folder are *.Device and *.eBda files which are responsible for programs operation with the driver of your equipment. If in the distribution kit there is no your device or he became outdated, then we should put in this folder the necessary file recommended by the vendor of your equipment.

In Plugins folder necessary files for operation of Plug-ins are located. More in detail about operation of Plug-ins it is necessary to find out from their authors.

In Record folder the written down by you files are located by default. You can select other folder for record in the Menu Panel -> Settings -> Options -> Record

.

If you have the RC panel which not completely corresponds to the main types of distribution kit, you can download from a site of the vendor of your equipment the additional module for him and place in folder RemoteControl.

In Skins folder there are skins of program. You can put here own or downloaded from program site, not contained into the distribution kit.

In Transponders folder there are updated bases of the providers information for scanning and finding of channels by the ProgDVB. File all.list is accessible to editing by any text editor and you can add the own information. Also in the program there is a built in editor of transponders. For this purpose transit Settings -> TV Sources -> Select your satellite -> Properties -> Transponders List. Here you can write the new transponder, edit existing or to delete, if it is not necessary to you. After that in folder Transponders there will be a file, for example 0360.USERLIST. Now at scanning of this companion the program will use him.

For immediate update of the transponder list you can download the auto installer of update for ProgDVB from here.

In a ts folder are stored by default Time Shift Buffer file.

In the Vis folder you can add your own visualization for radio channels.*

Besides, it is necessary to pay attention to following files.

Controls.ini - file that is responsible for program control the RC, keyboard and mouse. If you have already configured the control any way you like, you can save this file elsewhere, for future use without re-tuning.

The same concerns and a file DiseqTree.ini. Here there is an information about satellites and DiSEqC ports.

At malfunctions with EPG and the Scheduler You can try to remove files epg.dat and scheduler.dat.

For reset of all settings it is possible to delete ProgDVB.ini.

Besides, in a root folder there is a program SkinEditor.exe

When starting with a debug key (in properties of a shortcut to add: spacebar/debug after …. \ProgDvbNet.exe) is formed the file debug.txt in which you can find the displayed failure reason after programs crash.

When starting with a StartupLog key (in properties of a shortcut to add: spacebar /StartupLog after …. \ProgDvbNet.exe) is formed the file startup.txt in which you can find the information about time of start each component of the program.

All elements of program are portable, therefore it is possible the files and folders necessary to you to duplicate and store all program items separately from the program to avoid repeated setting for example at reinstallation of OS or casual deleting.

* - it is necessary to turn on Audio Processor.